> ## Documentation Index
> Fetch the complete documentation index at: https://direkt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Supported Chains

> All chains available on Direkt.

Use `GET /api/chains` to fetch the live list at any time.

```bash theme={null}
curl --location 'https://godirekt.xyz/api/chains' \
  --header 'x-api-key: YOUR_API_KEY'
```

## Current chains

| Chain ID  | Name         | Short Name | Native Token |
| --------- | ------------ | ---------- | ------------ |
| 1         | Ethereum     | eth        | ETH          |
| 10        | Optimism     | op         | ETH          |
| 56        | BNB Chain    | bnb        | BNB          |
| 137       | Polygon      | matic      | MATIC        |
| 8453      | Base         | base       | ETH          |
| 42161     | Arbitrum One | arb        | ETH          |
| 42220     | Celo         | celo       | CELO         |
| 43114     | Avalanche    | avax       | AVAX         |
| 792703809 | Solana       | sol        | SOL          |

Use the `id` as `fromChainId` or `toChainId` in `POST /api/quote`.

For native tokens, use `0x0000000000000000000000000000000000000000` as the token address.
